javax.media.j3d

## Class PickCylinderSegment

- java.lang.Object
- - javax.media.j3d.PickShape
  - - javax.media.j3d.PickCylinder
    - - javax.media.j3d.PickCylinderSegment

    public final class PickCylinderSegment
    extends PickCylinder

PickCylinderSegment is a finite cylindrical segment pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

Since:
  Java 3D 1.2
See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

### Constructor Summary

Constructors
Constructor and Description
`PickCylinderSegment()` Constructs an empty PickCylinderSegment.
`PickCylinderSegment(Point3d origin, Point3d end, double radius)` Constructs a finite cylindrical segment pick shape from the specified parameters.

### Method Summary

Methods
`void` `getEnd(Point3d end)` Gets the end point of this PickCylinderSegment.
`void` `set(Point3d origin, Point3d end, double radius)` Sets the parameters of this PickCylinderSegment to the specified values.

### Methods inherited from class javax.media.j3d.PickCylinder

`getDirection, getOrigin, getRadius`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PickCylinderSegment

    public PickCylinderSegment()

Constructs an empty PickCylinderSegment. The origin and end points of the cylindrical segment are initialized to (0,0,0). The radius is initialized to 0.

#### PickCylinderSegment

    public PickCylinderSegment(Point3d origin,
                       Point3d end,
                       double radius)

Constructs a finite cylindrical segment pick shape from the specified parameters.

Parameters:
  `origin` - the origin point of the cylindrical segment.
  `end` - the end point of the cylindrical segment.
  `radius` - the radius of the cylindrical segment.

### Method Detail

#### set

    public void set(Point3d origin,
           Point3d end,
           double radius)

Sets the parameters of this PickCylinderSegment to the specified values.

Parameters:
  `origin` - the origin point of the cylindrical segment.
  `end` - the end point of the cylindrical segment.
  `radius` - the radius of the cylindrical segment.

#### getEnd

    public void getEnd(Point3d end)

Gets the end point of this PickCylinderSegment.

Parameters:
  `end` - the Point3d object into which the end point will be copied.